- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# aws_ses_identity_policy – Manages SES sending authorization policies

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module allows the user to manage sending authorization policies associated with an SES identity (email or domain).
- SES authorization sending policies can be used to control what actors are able to send email on behalf of the validated identity and what conditions must be met by the sent emails.

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- botocore
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key
debug_botocore_endpoint_logs boolean added in 2.8 | Choices: no ← yes | Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.
ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.
identity - / required |  | The SES identity to attach or remove a policy from. This can be either the full ARN or just the verified email or domain.
policy - |  | A properly formatted JSON sending authorization policy. Required when state=present.
policy_name - / required |  | The name used to identify the policy within the scope of the identity it's attached to.
profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token
state - | Choices: present ← absent | Whether to create(or update) or delete the authorization policy on the identity.
validate_certs boolean | Choices: no yes ← | When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    - name: add sending authorization policy to domain identity
      aws_ses_identity_policy:
        identity: example.com
        policy_name: ExamplePolicy
        policy: "{{ lookup('template', 'policy.json.j2') }}"
        state: present

    - name: add sending authorization policy to email identity
      aws_ses_identity_policy:
        identity: example@example.com
        policy_name: ExamplePolicy
        policy: "{{ lookup('template', 'policy.json.j2') }}"
        state: present

    - name: add sending authorization policy to identity using ARN
      aws_ses_identity_policy:
        identity: "arn:aws:ses:us-east-1:12345678:identity/example.com"
        policy_name: ExamplePolicy
        policy: "{{ lookup('template', 'policy.json.j2') }}"
        state: present

    - name: remove sending authorization policy
      aws_ses_identity_policy:
        identity: example.com
        policy_name: ExamplePolicy
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
policies list | success | A list of all policies present on the identity after the operation. Sample: ['ExamplePolicy']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ed Costello (@orthanc)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.